Bug 1417812 (CVE-2017-2596) - CVE-2017-2596 Kernel: kvm: page reference leakage in handle_vmon
Summary: CVE-2017-2596 Kernel: kvm: page reference leakage in handle_vmon
Status: CLOSED ERRATA
Alias: CVE-2017-2596
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170124,repor...
Keywords: Security
Depends On: 1417813 1417825 1417826
Blocks: 1416012
TreeView+ depends on / blocked
 
Reported: 2017-01-31 07:19 UTC by Prasad J Pandit
Modified: 2019-06-11 11:13 UTC (History)
30 users (show)

(edit)
Linux kernel built with the KVM visualization support (CONFIG_KVM), with nested visualization(nVMX) feature enabled(nested=1), is vulnerable to host memory leakage issue. It could occur while emulating VMXON instruction in 'handle_vmon'. An L1 guest user could use this flaw to leak host memory potentially resulting in DoS.
Clone Of:
(edit)
Last Closed: 2019-06-08 03:06:40 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC

Description Prasad J Pandit 2017-01-31 07:19:29 UTC
Linux kernel built with the KVM virtualisation support(CONFIG_KVM), with
nested virtualisation(nVMX) feature enabled(nested=1), is vulnerable to host
memory leakage issue. It could occur while emulating VMXON instruction in
'handle_vmon'.

A L1 guest user could use this flaw to leak host memory potentially resulting
in DoS.

Upstream patch
--------------
  -> https://www.spinics.net/lists/kvm/msg144319.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/31/4

Comment 1 Prasad J Pandit 2017-01-31 07:19:34 UTC
Acknowledgments:

Name: Dmitry Vyukov (Google Inc.)

Comment 2 Prasad J Pandit 2017-01-31 07:20:34 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1417813]

Comment 5 Prasad J Pandit 2017-01-31 08:03:45 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 6 Fedora Update System 2017-02-07 00:53:44 UTC
kernel-4.9.7-101.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2017-08-01 19:12:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077

Comment 8 errata-xmlrpc 2017-08-02 07:52:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842


Note You need to log in before you can comment on or make changes to this bug.